version: '3.8'

services:
  nextjs:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: nextjs-app
    environment:
      - NEXT_PUBLIC_VERSION=${NEXT_PUBLIC_VERSION}
      - NEXT_PUBLIC_API_URL=${NEXT_PUBLIC_API_URL}
      - NEXT_PUBLIC_SERVER_SOCKET_URL=${NEXT_PUBLIC_SERVER_SOCKET_URL}
    ports:
      - "3000:3000"
    env_file:
      - .env.local
    restart: unless-stopped